package com.njcn.system.enums;

import lombok.Getter;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2021/8/5 21:56
 */
@Getter
public enum DicDataEnum {

    /**
     * 字典数据名称
     */
    PLPC_ENUM("频率偏差", "PLPC"),
    DYPC_ENUM("电压偏差", "DYPC"),
    SXDYBPHD_ENUM("三相电压不平衡度", "SXDYBPHD"),
    XBDY_ENUM("谐波电压", "XBDY"),
    CSSB_ENUM("长时闪变", "CSSB"),
    XBDL_ENUM("谐波电流", "XBDL"),
    FXDL_ENUM("负序电流", "FXDL"),
    JXBDY_ENUM("间谐波电压", "JXBDY");

    private final String name;

    private final String code;

    DicDataEnum(String name, String code){
        this.name=name;
        this.code = code;
    }

}
